cURL
curl --request GET \ --url https://api.payments.bob.company/api/v1/customers/{id} \ --header 'Authorization: Bearer <token>'
{ "success": true, "data": { "id": "<string>", "projectId": "<string>", "name": "<string>", "document": "<string>", "phone": "<string>", "email": "<string>", "street": "<string>", "streetNumber": "<string>", "neighborhood": "<string>", "complement": "<string>", "zipCode": "<string>", "city": "<string>", "state": "<string>", "country": "<string>", "isBlocked": true, "blockedAt": "<string>", "blockedReason": "<string>", "blockExpiresAt": "<string>", "blockType": "<string>", "createdAt": "<string>", "updatedAt": "<string>", "recentTransactions": [ { "id": "<string>", "amountCents": 123, "status": "<string>", "product": "<string>", "createdAt": "<string>", "paidAt": "<string>" } ], "totalTransactions": 123, "fraudEvents": [ { "id": "<string>", "reason": "<string>", "fraudType": "<string>", "amountCents": 123, "product": "<string>", "createdAt": "<string>" } ] } }
Retorna um cliente específico por ID.
Autenticação por API Key usando token SK (sk_live_xxx ou sk_test_xxx). Envie como: Authorization: Bearer sk_live_xxx
^[cC][^\s-]{8,}$
Default Response
Show child attributes
Was this page helpful?